package com.covas.Resources;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import com.covas.Entity.UsersEntity;

import org.jboss.logging.Logger;


@Produces(MediaType.APPLICATION_JSON)
@Path("/api/users")
public class UsersRessources {
    private static final Logger LOGGER = Logger.getLogger(UsersRessources.class);
    @GET
    public Response getUsers(){
        return Response.ok(UsersEntity.listAll()).build();
    }

    @GET
    @Path("{id}")
    public Response getSingleUser(@PathParam("id") Long id){
        LOGGER.info(id);
        UsersEntity users = UsersEntity.findById(id);
        if(users == null){
            return Response.status(Response.Status.NOT_FOUND).build();
        }
        return Response.ok(users).build();
    }

    
}
